<template>
  <div v-if="tabItems && tabItems.length" class="grid grid--4 bg-gray-6 support" id="section-support">
    <div class="container">
      <IconAnimationRed class="icon-red"/>
      <IconAnimationBlue class="icon-blue"/>
      <div class="f fdc aic support__header">
        <h2 class="h1 support__title">Đội ngũ hỗ trợ</h2>
        <p class="mt05 mb25 s2">Hanky panky lavatory up the duff jolly good cack brolly is chinwag zonked happy days sloshed.</p>
      </div>
      <v-tab :items="tabItems" :default-tab="defaultTab" @active="handleTabs">
        <template #support>
          <div class="py2 px2 bg-white card card--support">
            <div class="f card__inner">
              <div class="f jcb card__header">
                <img src="~/assets/img/idt.png" class="card__image" />
                <v-button v-if="isMobile" type="none" height="45px" class="bg-light-green green-2 py05 px075 p5"><li>Trực tuyến</li></v-button>
              </div>
              <div class="card__content">
                <v-button v-if="!isMobile" type="none" height="45px" class="bg-light-green green-2 py05 px075 p5"><li>Trực tuyến</li></v-button>
                <h4 class="mt1 c-black">Công ty Long Hải</h4>
                <div class="f aic mt15 card__content-footer">
                  <v-button height="45px" type="dark"><IconPhone/>Gọi hỗ trợ</v-button>
                  <v-button class="ml1" height="45px"><IconEmail/>Nhắn tin hỗ trợ</v-button>
                </div>
              </div>
            </div>
            <div class="f aic jcc w100 mt2 card__footer">
              <div v-for="(item, index) in infos" :key="index" class="f aic p8 card__footer-item">
                <img :src="item.icon" alt="icon" class="mr05"> {{ item.text }}
              </div>
            </div>
          </div>
        </template>

        <template #tech>
          <div class="py2 px2 bg-white card card--support">
            <div class="f card__inner">
              <div class="f jcb card__header">
                <img src="~/assets/img/idt.png" class="card__image" />
                <v-button v-if="isMobile" type="none" height="45px" class="bg-light-green green-2 py05 px075 p5"><li>Trực tuyến</li></v-button>
              </div>
              <div class="card__content">
                <v-button v-if="!isMobile" type="none" height="45px" class="bg-light-green green-2 py05 px075 p5"><li>Trực tuyến</li></v-button>
                <h4 class="mt1 c-black">Công ty cổ phần công nghệ IDT Inc</h4>
                <div class="f aic mt15 card__content-footer">
                  <v-button height="45px" type="dark"><IconPhone/>Gọi hỗ trợ</v-button>
                  <v-button class="ml1" height="45px"><IconEmail/>Nhắn tin hỗ trợ</v-button>
                </div>
              </div>
            </div>
            <div class="f aic jcc w100 mt2 card__footer">
              <div v-for="(item, index) in infos" :key="index" class="f aic p8 card__footer-item">
                <img :src="item.icon" alt="icon" class="mr05"> {{ item.text }}
              </div>
            </div>
          </div>
        </template>
      </v-tab>
    </div>
  </div>
</template>

<script>
import VueSlickCarousel from 'vue-slick-carousel'
import circlePhone from "@/assets/icon-app/circlePhone.svg"
import envelope from "@/assets/icon-app/envelope.svg"
import earth from "@/assets/icon-app/earth.svg"
import location from "@/assets/icon-app/location.svg"
import mixins from '~/common/plugins/mixins'

export default {
  name: 'Support',
  components: { VueSlickCarousel },
  mixins: [mixins],
  data () {
    return {
      tabItems: [
        {
          label: 'Hỗ trợ Long Hải',
          key: 'support'
        },
        {
          label: 'Hỗ trợ kỹ thuật ứng dụng',
          key: 'tech'
        }
      ],
      defaultTab: null,
      infos: [
        {
          icon: circlePhone,
          text: '024 88888660'
        },
        {
          icon: envelope,
          text: 'hotro@idtinc.co'
        },
        {
          icon: earth,
          text: 'https://idtinc.co/ '
        },
        {
          icon: location,
          text: '48 Tố Hữu, Trung Văn, Nam Từ Liêm, Hà Nội'
        }
      ]
    }
  },
  methods: {
    handleTabs(tabKey){
      this.setQueryParams(tabKey)
      this.defaultTab = tabKey
    },

    setQueryParams(queryParams) {
      this.$router.push({query: {tab: queryParams}})
    },

    setActiveTabByRouteQuery() {
      const route = this.$route.query.tab
      if(!route) {
        this.setQueryParams(this.tabItems[0].key)
        this.defaultTab = this.tabItems[0].key
      } else {
        this.defaultTab = route
      }
    }
  },
}
</script>

<style scoped lang="scss">
@import "@/assets/base/variables";

.support {
  position: relative;
  padding: 80px 0;

  @media (min-width: break($xs)) {
    padding: 120px 0;
  }
}

.support__header {
  max-width: 460px;
  margin: 0 auto;
  text-align: center;
}

.card--support {
  border-radius: 16px;

  @media (max-width: 1023px) {
    width: 100%;
  }

  .card__inner {
    @media (max-width: 1023px) {
      flex-direction: column;
    }
  }
  .card__content {
    margin-top: 24px;

    @media (min-width: 1024px) {
      margin-top: 0;
      margin-left: 105px;
    }
  }

  .card__image {
    max-width: 270px;
    @media (max-width: 1023px) {
      width: 50%;
    }
  }

  .card__content-footer {
    @media (max-width: 1023px) {
      justify-content: center;

      button {
        width: 100%;
      }
    }
  }

  .card__footer {
    @media (max-width: 1023px) {
      flex-direction: column;
      align-items: start;
    }
  }

  .card__footer-item {
    &:not(:first-child) {
      margin-top: 16px;

      @media (min-width: 1024px) {
        margin-top: 0;
        margin-left: 52px;
      }
    }
  }
}

.icon-red {
  position: absolute;
  top: 80px;
  left: -40px;
  transform: rotate(35deg);
}

.icon-blue {
  position: absolute;
  bottom: -60px;
  right: 30px;
  transform: rotate(-45deg);
}
</style>
